| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
CommonCollectionElement Class Reference
eProsima Fast DDS API Reference » DDS Public API » DDS TypeObject API

This class represents the structure CommonCollectionElement defined by the user in the IDL file. More...

`#include <dds_xtypes_typeobject.hpp>`

## Public Member Functions

eProsima_user_DllExport | CommonCollectionElement ()
| Default constructor.
eProsima_user_DllExport | ~CommonCollectionElement ()
| Default destructor.
eProsima_user_DllExport | CommonCollectionElement (const CommonCollectionElement &x)
| Copy constructor.
eProsima_user_DllExport | CommonCollectionElement (CommonCollectionElement &&x) noexcept
| Move constructor.
eProsima_user_DllExport CommonCollectionElement & | operator= (const CommonCollectionElement &x)
| Copy assignment.
eProsima_user_DllExport CommonCollectionElement & | operator= (CommonCollectionElement &&x) noexcept
| Move assignment.
eProsima_user_DllExport bool | operator== (const CommonCollectionElement &x) const
| Comparison operator.
eProsima_user_DllExport bool | operator!= (const CommonCollectionElement &x) const
| Comparison operator.
eProsima_user_DllExport void | element_flags (const CollectionElementFlag &_element_flags)
| This function copies the value in member element_flags.
eProsima_user_DllExport void | element_flags (CollectionElementFlag &&_element_flags)
| This function moves the value in member element_flags.
eProsima_user_DllExport const CollectionElementFlag & | element_flags () const
| This function returns a constant reference to member element_flags.
eProsima_user_DllExport CollectionElementFlag & | element_flags ()
| This function returns a reference to member element_flags.
eProsima_user_DllExport void | type (const TypeIdentifier &_type)
| This function copies the value in member type.
eProsima_user_DllExport void | type (TypeIdentifier &&_type)
| This function moves the value in member type.
eProsima_user_DllExport const TypeIdentifier & | type () const
| This function returns a constant reference to member type.
eProsima_user_DllExport TypeIdentifier & | type ()
| This function returns a reference to member type.

## Detailed Description

This class represents the structure CommonCollectionElement defined by the user in the IDL file.

## Constructor & Destructor Documentation

## ◆ CommonCollectionElement() [1/3]

eProsima_user_DllExport CommonCollectionElement | ( |  | ) |

inline

Default constructor.

## ◆ ~CommonCollectionElement()

eProsima_user_DllExport ~CommonCollectionElement | ( |  | ) |

inline

Default destructor.

## ◆ CommonCollectionElement() [2/3]

eProsima_user_DllExport CommonCollectionElement | ( | const CommonCollectionElement & | x | ) |

inline

Copy constructor.

Parameters

  x | Reference to the object CommonCollectionElement that will be copied.

## ◆ CommonCollectionElement() [3/3]

eProsima_user_DllExport CommonCollectionElement | ( | CommonCollectionElement && | x | ) |

inline noexcept

Move constructor.

Parameters

  x | Reference to the object CommonCollectionElement that will be copied.

## Member Function Documentation

## ◆ element_flags() [1/4]

eProsima_user_DllExport CollectionElementFlag & element_flags | ( |  | ) |

inline

This function returns a reference to member element_flags.

Returns
  Reference to member element_flags

## ◆ element_flags() [2/4]

eProsima_user_DllExport const CollectionElementFlag & element_flags | ( |  | ) | const

inline

This function returns a constant reference to member element_flags.

Returns
  Constant reference to member element_flags

## ◆ element_flags() [3/4]

eProsima_user_DllExport void element_flags | ( | CollectionElementFlag && | _element_flags | ) |

inline

This function moves the value in member element_flags.

Parameters

  _element_flags | New value to be moved in member element_flags

## ◆ element_flags() [4/4]

eProsima_user_DllExport void element_flags | ( | const CollectionElementFlag & | _element_flags | ) |

inline

This function copies the value in member element_flags.

Parameters

  _element_flags | New value to be copied in member element_flags

## ◆ operator!=()

eProsima_user_DllExport bool operator!= | ( | const CommonCollectionElement & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonCollectionElement object to compare.

## ◆ operator=() [1/2]

eProsima_user_DllExport CommonCollectionElement & operator= | ( | CommonCollectionElement && | x | ) |

inline noexcept

Move assignment.

Parameters

  x | Reference to the object CommonCollectionElement that will be copied.

## ◆ operator=() [2/2]

eProsima_user_DllExport CommonCollectionElement & operator= | ( | const CommonCollectionElement & | x | ) |

inline

Copy assignment.

Parameters

  x | Reference to the object CommonCollectionElement that will be copied.

## ◆ operator==()

eProsima_user_DllExport bool operator== | ( | const CommonCollectionElement & | x | ) | const

inline

Comparison operator.

Parameters

  x | CommonCollectionElement object to compare.

## ◆ type() [1/4]

eProsima_user_DllExport TypeIdentifier & type | ( |  | ) |

inline

This function returns a reference to member type.

Returns
  Reference to member type

## ◆ type() [2/4]

eProsima_user_DllExport const TypeIdentifier & type | ( |  | ) | const

inline

This function returns a constant reference to member type.

Returns
  Constant reference to member type

## ◆ type() [3/4]

eProsima_user_DllExport void type | ( | const TypeIdentifier & | _type | ) |

inline

This function copies the value in member type.

Parameters

  _type | New value to be copied in member type

## ◆ type() [4/4]

eProsima_user_DllExport void type | ( | TypeIdentifier && | _type | ) |

inline

This function moves the value in member type.

Parameters

  _type | New value to be moved in member type

The documentation for this class was generated from the following file:

- include/fastdds/dds/xtypes/type_representation/detail/dds_xtypes_typeobject.hpp